<div class="col-g-12">
    <div class="ui-g-12">
      <div class="ui-g-12">
        <button
          pButton
          type="submit"
          label="Filter"
          icon="fa-filter"
          class="ui-button-primary flat-label-button"
          (click)="filter()"
        ></button>
      </div>
      <div class="ui-g-12">
        <p-tabView>
          <p-tabPanel header="New">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert LHP Number"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="searchNew(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />

        <p-dataTable
          [value]="newLHP"
          [(selection)]="selected"
          [editable]="true"
          [rows]="itemsPerPage"
          [headerCheckboxToggleAllPages]="true"
          [paginator]="true"
          [pageLinks]="5"
          [rowsPerPageOptions]="[10,15,20]"
          [totalRecords]="totalItemsNew"
          [responsive]="true"
          [lazy]="true"
          [(first)]="first"
          row="itemsPerPage"
          totalRecords="totalItemsNew"
          dataKey="no_periksa"
          expandableRows="false"
          rowHover="true"
          (onLazyLoad)="loadDataLazy($event)">
          <p-header>
            <div class="d-flex flex-row-reverse">
                <div class="nav-item">
                    <div>
                        <form name="searchForm" class="form-inline">
                            <div class="input-group w-70 mt-2">
                                <div class="btn-filter-wrapper">
                                    <button (click)="createRequest()" [disabled]="selected?.length == 0" type="button" class="btn btn-primary btn-filter">
                                        <span>Approve</span>
                                    </button>
                                    &nbsp;
                                    &nbsp;
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
          </p-header>
          <p-column selectionMode="multiple" [style]="{'width':'38px'}"></p-column>
          <p-column header="Nomor LHP">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_periksa}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal LHP">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_masuk | date:'dd/MM/yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Pemeriksa">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.nm_pemeriksa}}
            </ng-template>
        </p-column>
        <p-column header="Nomor BBM / PPLPM">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_bbm}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal BBM / PPLPM">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_bbm | date:'dd/MM/yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="No PO">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_po}}
            </ng-template>
        </p-column>
        <p-column header="Supplier / Divisi">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.kd_suppnew}} - {{rowData.nm_supplier}}
            </ng-template>
        </p-column>
        <p-column header="Nomor SJ Supplier">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.no_sj_supplier}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal SJ Supplier / Pemeriksaan">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.tgl_sj_supplier | date:'dd/MM/yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Dibuat Oleh">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.iduser}}
            </ng-template>
        </p-column>
        <p-column header="Menyetujui">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.approval}}
            </ng-template>
        </p-column>
<p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
    <ng-template let-rowData="rowData" pTemplate="body">
        <button pButton type="submit"
                (click)="lihatLHP(rowData)" 
                icon="fa-eye" pTooltip="Preview Detail LHP"
                class="flat-button">
        </button>
    </ng-template>
</p-column>
          <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
          </ng-template>
        </p-dataTable>

          </p-tabPanel>
          <p-tabPanel header="Approve">
            <form name="searchForm" class="form-inline">
              <div class="input-group w-100 mt-3">
                <input
                  type="text"
                  class="form-control"
                  [(ngModel)]="currentSearch"
                  id="currentSearch"
                  name="currentSearch"
                  placeholder="Please Insert LHP Number"
                />
                <button
                  class="input-group-addon btn btn-info flat-style-button"
                  (click)="searchApprove(currentSearch)"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-search"></span>
                </button>
                <button
                  class="input-group-addon btn btn-danger flat-style-button"
                  (click)="clear()"
                  *ngIf="currentSearch"
                >
                  <span class="fa fa-trash-o"></span>
                </button>
              </div>
            </form>
            <br />
            <p-dataTable
            [value]="approveLHP"
            [(selection)]="selected"
            [editable]="true"
            [rows]="itemsPerPage"
            [headerCheckboxToggleAllPages]="true"
            [paginator]="true"
            [pageLinks]="5"
            [rowsPerPageOptions]="[10,15,20]"
            [totalRecords]="totalItemsApprove"
            [responsive]="true"
            [lazy]="true"
            [(first)]="first"
            row="itemsPerPage"
            totalRecords="totalItemsApprove"
            dataKey="no_periksa"
            expandableRows="false"
            rowHover="true"
            (onLazyLoad)="loadDataLazy($event)">
            <p-header>
            </p-header>
            <p-column header="Nomor LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_periksa}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_masuk | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Pemeriksa">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nm_pemeriksa}}
                </ng-template>
            </p-column>
            <p-column header="Nomor BBM / PPLPM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bbm}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal BBM / PPLPM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bbm | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="No PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_po}}
                </ng-template>
            </p-column>
            <p-column header="Supplier / Divisi">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kd_suppnew}} - {{rowData.nm_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Nomor SJ Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_sj_supplier}}
                </ng-template>
            </p-column>
            <p-column header="Tanggal SJ Supplier / Pemeriksaan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_sj_supplier | date:'dd/MM/yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Dibuat Oleh">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.iduser}}
                </ng-template>
            </p-column>
            <p-column header="Menyetujui">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.approval}}
                </ng-template>
            </p-column>
    <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit"
                    (click)="lihatLHP(rowData)" 
                    icon="fa-eye" pTooltip="Preview Detail LHP"
                    class="flat-button">
            </button>
        </ng-template>
    </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
          </p-dataTable>
          </p-tabPanel>
        </p-tabView>
      </div>
    </div>
  </div>
  <div style="margin-top: 10px"></div>
  <p-dialog header="Detail LHP" [(visible)]="modalLihatLHP" modal="true" [width]="1000">
    <form name="lihatpo" role="form" novalidate #editForm="ngForm">
        <div>
            <p-dataTable [value]="detailLHP" [editable]="true" [rows]="itemsPerPage" [paginator]="false"
                [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true"
                [lazy]="true" row="itemsPerPage" totalRecords="totalItems" dataKey="no_periksa" expandableRows="false"
                rowHover="true" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
                <p-header>
                </p-header>
                <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.kd_bahan}} - {{rowData.nmbahan}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Masuk">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_trm}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Rilis">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_rls}}
                    </ng-template>
                </p-column>
                <p-column header="Quantity Tolak">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.qty_tlk}}
                    </ng-template>
                </p-column>
                <p-column header="Satuan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.satuan}}
                    </ng-template>
                </p-column>
                <p-column header="Batch Barang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.no_batch}}
                    </ng-template>
                </p-column>
                <p-column header="Tanggal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exp | date:'dd/MM/yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Halal Kadaluarsa">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.tgl_exphal | date:'dd/MM/yyyy'}}
                    </ng-template>
                </p-column>
                <p-column header="Status">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.hasil}}
                    </ng-template>
                </p-column>
                <p-column header="Keterangan">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.keterangan}}
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </form>
</p-dialog>